For the complete documentation index, see llms.txt. This page is also available as Markdown.

/eth/v1/beacon/blocks/{block_id}/root

Get block root

Get block root

get
/eth/v1/beacon/blocks/{block_id}/root

Retrieves hashTreeRoot of BeaconBlock/BeaconBlockHeader

Path parameters
block_idstringRequired

Block identifier. Can be one of: "head" (canonical head in node's view), "genesis", "finalized", <slot>, <hex encoded blockRoot with 0x prefix>.

Example: head
Responses
200

Success

application/json
execution_optimisticall ofOptional
booleanOptional
and
anyOptionalExample: false
and
anyOptional

True if the response references an unverified execution payload. Optimistic information may be invalidated at a later time. If the field is not present, assume the False value.

get/eth/v1/beacon/blocks/{block_id}/root
GET /v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/blocks/{block_id}/root HTTP/1.1
Host: mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/
Accept: */*
{
  "execution_optimistic": null,
  "data": {
    "root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2"
  }
}
curl -X GET \
    "https://mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/blocks/head/root" \
    -H "Content-Type: application/json"
curl -X GET \
    "https://sepolia.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/blocks/head/root" \
    -H "Content-Type: application/json"

Last updated

Was this helpful?